{
    attributes = (
        {
            columnName = DDIP_BILAN; 
            externalType = VARCHAR2; 
            name = ddipBilan; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_CHARGES; 
            externalType = VARCHAR2; 
            name = ddipCharges; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_COMPLEMENTS; 
            externalType = VARCHAR2; 
            name = ddipComplements; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_EDT; 
            externalType = VARCHAR2; 
            name = ddipEdt; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_EXAMENS; 
            externalType = VARCHAR2; 
            name = ddipExamens; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_GROUPES; 
            externalType = VARCHAR2; 
            name = ddipGroupes; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_IPEDAGOGIQUES; 
            externalType = VARCHAR2; 
            name = ddipIpedagogiques; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_KEY; 
            externalType = NUMBER; 
            name = ddipKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = DDIP_MAQUETTES; 
            externalType = VARCHAR2; 
            name = ddipMaquettes; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DDIP_STATISTIQUES; 
            externalType = VARCHAR2; 
            name = ddipStatistiques; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = DLOG_KEY; 
            externalType = NUMBER; 
            name = dlogKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FHAB_KEY; 
            externalType = NUMBER; 
            name = fhabKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (ddipKey); 
    className = EOGenericRecord; 
    classProperties = (
        ddipKey, 
        dlogKey, 
        fhabKey, 
        ddipStatistiques, 
        ddipMaquettes, 
        ddipIpedagogiques, 
        ddipGroupes, 
        ddipExamens, 
        ddipEdt, 
        ddipBilan, 
        fannKey, 
        toScolDroitLogin, 
        toScolFormationHabilitation, 
        toScolFormationAnnee, 
        ddipCharges, 
        ddipComplements
    ); 
    externalName = SCOL_DROIT_DIPLOME; 
    fetchSpecificationDictionary = {}; 
    name = ScolDroitDiplome; 
    primaryKeyAttributes = (ddipKey); 
    relationships = (
        {
            destination = ScolDroitLogin; 
            internalInfo = {_nameInObjectStore = scolDroitLogin; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = dlogKey; sourceAttribute = dlogKey; }); 
            name = toScolDroitLogin; 
        }, 
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolFormationHabilitation; 
            internalInfo = {_nameInObjectStore = scolFormationHabilitation; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fhabKey; sourceAttribute = fhabKey; }); 
            name = toScolFormationHabilitation; 
        }
    ); 
}
